@import 'variables';
@import './keyframes';

#vote {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  min-height: 100%;
  background-color: $bg;
  @media #{$mq-phone} {
    width: 100vw;
    height: auto;
  }

  .vote-back {
    position: absolute;
    top: 2%;
    left: 1%;
    width: 60px;
    height: 60px;
    fill: $text;
    cursor: pointer;
    z-index: 90;
  }

  .vote-paths {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    filter: blur(20px) brightness(1.6);
    opacity: 0.3;
    @media #{$mq-phone} {
      position: fixed;
    }

    path {
      fill: none;
      stroke-width: 150px;
      stroke-linecap: round;
      stroke-linejoin: round;
      opacity: 0;
      stroke-dasharray: 5000;
      //stroke-dashoffset: 5000;
      animation: pathIn 2.5s ease-in-out forwards;
      transition: 0.5s all ease-in-out;
    }

    .path-visible {
      opacity: 1;
    }
  }

  .vote-content {
    position: relative;
    margin-left: 50%;
    margin-top: 0;
    transform: translateX(-50%);
    width: 80%;
    height: 90%;
    transition: 0.5s all ease-in-out;
    border-radius: 50px;
    @media #{$mq-phone} {
      margin-top: 100px;
      min-height: 70vh;
      height: unset;
    }
    @media #{$mq-keyboard} {
      margin-top: -50px;
    }

    * {
      transition: 0.3s all ease-in-out;
    }

    .stage-indicator {
      position: relative;
      width: 80%;
      display: flex;
      justify-content: space-between;
      margin: 50px 10% 0;
      @media #{$mq-phone} {
        justify-content: center;
      }
      @media #{$mq-keyboard} {
        display: none;
      }

      .stage-indicator-object {
        position: relative;
        @media #{$mq-phone} {
          display: none;
        }
        span {
          position: relative;
          display: block;
          width: 60px;
          height: 60px;
          background: white;
          border-radius: 1000px;
          &:after {
            content: '';
            position: absolute;
            top: -10%;
            left: -10%;
            width: 120%;
            height: 120%;
            background: $grad1;
            z-index: -1;
            border-radius: 1000px;
          }
        }
        .indicator-bg-done {
          background: $grad1;
        }
        svg {
          fill: none;
          stroke: $bg;
          stroke-width: 50px;
          position: absolute;
          top: 50%;
          left: 50%;
          transform: translate(-50%, -50%);
          width: 50px;
          height: 50px;
        }
        h5 {
          position: absolute;
          bottom: -110%;
          left: 50%;
          transform: translate(-50%, -50%);
          white-space: nowrap;
          font-weight: 700;
          font-style: italic;
          text-transform: uppercase;
          @include gradient-text($grad1);
          font-size: 1.1rem;
          line-height: 1.8rem;
        }
        p {
          position: absolute;
          top: 55%;
          left: 50%;
          transform: translate(-50%, -50%);
          font-style: italic;
          font-weight: 600;
          font-size: 1.7rem;
          line-height: 3rem;
          color: $disabled;
        }
      }
      .stage-indicator-current {
        transform: scale(1.3);
        @media #{$mq-phone} {
          display: block;
        }
        p {
          font-size: 2rem;
        }
      }
      .stage-indicator-current-label {
        color: $bg !important;
      }

      .stage-indicator-clickable {
        cursor: pointer;
      }

      .stage-indicator-line {
        position: absolute;
        top: 50%;
        left: 0;
        transform: translateY(-50%);
        display: block;
        height: 6px;
        width: 100%;
        background: $grad1;
        z-index: -5;
        @media #{$mq-phone} {
          display: none;
        }
      }
    }

    .vote-stages {
      height: 50%;
      width: 75%;
      margin-left: 12.5%;
      margin-top: 10%;
      @media #{$mq-phone} {
        min-height: 65%;
        height: unset;
      }

      .vote-stage {
        opacity: 0;
        display: flex;
        align-items: center;
        justify-content: space-between;
        height: 100%;
        @media #{$mq-phone} {
          margin-top: 100px;
          flex-direction: column;
          min-height: 100%;
          height: unset;
        }
      }

      .vote-stage-visible {
        opacity: 1;
      }

      label {
        display: inline-block;
        padding-top: 40px;
        text-transform: uppercase;
        font-weight: 600;
        font-style: italic;
        @include gradient-text($grad1);
        font-size: 1.2rem;
        line-height: 2.5rem;
      }

      .vote-input-wrapper {
        position: relative;
        background: $grad1;
        border-radius: 1000px;
        width: min-content;
        padding: 5px;

        input {
          position: relative;
          color: $text10L;
          font-style: italic;
          background: $bg;
          font-weight: 600;
          font-size: 1.2rem;
          &::placeholder {
            color: $disabled;
            font-weight: 500;
          }

          &[name='om'] {
            border-radius: 1000px;
            padding: 8px 0px 5px 20px;
          }
        }

        &.vote-input-wrapper-dob {
          position: relative;
          display: flex;

          span {
            position: relative;
            display: block;
            width: 8px;
            background: $bg;

            &:after {
              content: '';
              position: absolute;
              top: 50%;
              left: 0;
              transform: translateY(-50%);
              background: $text;
              opacity: 0.5;
              width: 25%;
              height: 60%;
            }
          }

          & > input {
            padding: 7px 0 5px;
            width: calc(3 * 1.2rem);

            &:first-child {
              padding-left: 10px;
              border-radius: 1000px 0 0 1000px;
              width: calc(4 * 1.2rem);
            }
            &:last-child {
              border-radius: 0 1000px 1000px 0;
            }
          }
        }

        &:after {
          content: '';
          position: absolute;
          background: $grad1;
          width: 100%;
          height: 100%;
          top: 0;
          left: 0;
          filter: blur(10px);
          z-index: -2;
          border-radius: 1000px;
          opacity: 0.8;
        }
      }

      .om-hint {
        margin-top: 10px;
        display: flex;
        align-items: center;

        p {
          font-style: italic;
          color: darken($disabled, 10%);
          margin-bottom: 3px;
        }

        svg {
          fill: none;
          stroke: $disabled;
          stroke-width: 30px;
          width: 27px;
          height: 27px;

          path:last-child {
            fill: $disabled;
            stroke: none;
          }
        }
      }

      .button-next {
        z-index: 9999;
        text-transform: uppercase;
        padding: 12px 40px 10px;
        border-radius: 1000px;
        font-style: italic;
        font-weight: 600;
        font-size: 1.3rem;
        background: $disabled;
        color: $bg;
        transition: 0.2s all ease-in-out;
        cursor: default;

        &.active {
          background: $grad1;
          cursor: pointer;

          @media (hover: hover) and (pointer: fine) {
            &:hover {
              transform: scale(1.1);
            }
          }
        }
      }

      .vote-stage-selector {
        display: block;
        .candidate-selector {
          position: relative;
          display: flex;
          align-items: flex-start;
          justify-content: center;
          width: 140%;
          margin-left: -20%;
          flex-wrap: wrap;

          * {
            flex-shrink: 1;
          }
        }
        .button-next {
          position: relative;
          margin: 5% 0 5% 50%;
          transform: translateX(-50%);

          @media #{$mq-phone} {
            margin-top: 35%;
            margin-bottom: 20%;
          }

          @media (hover: hover) and (pointer: fine) {
            &.active:hover {
              transform: translateX(-50%) scale(1.2);
            }
          }
        }
      }

      .vote-stage-overview {
        position: relative;
        margin-top: 100px;

        @media #{$mq-phone} {
          .vote-stage-col-left {
            margin: 30px 0 50px;
          }
        }

        .vote-stage-col-left h3 {
          font-weight: 700;
          font-style: italic;
          text-transform: uppercase;
          font-size: 1.5rem;
          color: $text;
          letter-spacing: 2px;
        }
        h4 {
          font-weight: 600;
          font-style: italic;
          font-size: 1.2rem;
          @include gradient-text($grad1);
          white-space: nowrap;
        }

        .button-next {
          position: absolute;
          bottom: -20%;
          left: 50%;
          transform: translateX(-50%);
          @media #{$mq-phone} {
            position: relative;
            bottom: unset;
            left: unset;
            margin-left: 50vw;
            margin-top: 60px;
            margin-bottom: 60px;
          }

          @media (hover: hover) and (pointer: fine) {
            &:hover {
              transform: translateX(-50%) scale(1.2);
            }
          }
        }
      }
    }
  }

  #vote-stage-final {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 100;
    background: $text10L;
    opacity: 0;
    display: none;
    transition: 0.5s all ease-in-out;

    &.vote-final-visible {
      opacity: 1;
    }

    .content {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      text-align: center;

      .vote-stage-final-checkmark {
        display: inline-block;
        position: relative;
        width: 250px;
        height: 250px;

        & > svg {
          fill: none;
          stroke: url('#base-gradient');
          stroke-width: 30px;
          width: 100%;
          height: 100%;
        }
      }

      h2 {
        margin-top: 20px;
        text-transform: uppercase;
        font-weight: 600;
        font-style: italic;
        font-size: 2.3rem;
        @include gradient-text($grad1);
      }
    }

    a {
      position: absolute;
      bottom: 10%;
      left: 50%;
      transform: translateX(-50%);
      text-transform: uppercase;
      font-style: italic;
      font-weight: 500;
      letter-spacing: 1px;
      font-size: 1.1rem;
      text-decoration: underline;
      text-decoration-thickness: 2px;
      color: $bg;
    }
  }
}
